# Generated from ruby-testrail-1.3.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby-testrail

Name: rubygem-%{gem_name}
Version: 1.3.2
Release: 1%{?dist}
Summary: Ruby TestRail integration with RSpec and Cucumber Test Suites
License: Apache-2.0
URL: https://github.com/Findly-Inc/ruby-testrail
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec-core)
# BuildRequires: rubygem(rspec-expectations)
# BuildRequires: rubygem(rspec-mocks)
# BuildRequires: rubygem(rspec-support)
# BuildRequires: rubygem(require_all)
BuildArch: noarch

%description
Library to integrate Test Suite with TestRail.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.md
%license %{gem_instdir}/TESTRAIL_LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/features
%{gem_instdir}/ruby-testrail.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 1.3.2-1
- Initial package
